Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util
Class XWorkBasicConverter

    java.lang.Object
      ognl.DefaultTypeConverter
          com.opensymphony.xwork2.util.XWorkBasicConverter

All Implemented Interfaces:
  ognl.TypeConverter

    public class XWorkBasicConverter

extends ognl.DefaultTypeConverter

XWork will automatically handle the most common type conversion for you. This includes support for converting to and from Strings for each of the following:

- String

- boolean / Boolean

- char / Character

- int / Integer, float / Float, long / Long, double / Double

- dates - uses the SHORT format for the Locale associated with the current request

- arrays - assuming the individual strings can be coverted to the individual items

- collections - if not object type can be determined, it is assumed to be a String and a new ArrayList is created

Note that with arrays the type conversion will defer to the type of the array elements and try to convert each item individually. As with any other type conversion, if the conversion can't be performed the standard type conversion error reporting is used to indicate a problem occured while processing the type conversion.

Author:
  Pat Lightbody, Mike Mosiewicz, Rainer Hermanns, Alexandru Popescu

Field Summary
`private static String` | `MILLISECOND_FORMAT`

Constructor Summary
`XWorkBasicConverter()`

Method Summary
`Object` | `convertValue(Map context, Object o, Member member, String s, Object value, Class toType)`
`private Collection` | `createCollection(Object fromObject, String propertyName, Class toType, Class memberType, int size)` Creates a Collection of the specified type.
`private Object` | `doConvertToArray(Map context, Object o, Member member, String s, Object value, Class toType)`
`private Object` | `doConvertToBoolean(Object value)`
`private Object` | `doConvertToCharacter(Object value)`
`private Class` | `doConvertToClass(Object value)`
`private Collection` | `doConvertToCollection(Map context, Object o, Member member, String prop, Object value, Class toType)`
`private Object` | `doConvertToDate(Map context, Object value, Class toType)`
`private Object` | `doConvertToNumber(Map context, Object value, Class toType)`
`private String` | `doConvertToString(Map context, Object value)`
`private Locale` | `getLocale(Map context)`
`protected boolean` | `isIntegerType(Class type)`

Methods inherited from class ognl.DefaultTypeConverter
`convertValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MILLISECOND_FORMAT

    private static String MILLISECOND_FORMAT

Constructor Detail

### XWorkBasicConverter

    public XWorkBasicConverter()

Method Detail

### convertValue

    public Object convertValue(Map context,
                               Object o,
                               Member member,
                               String s,
                               Object value,
                               Class toType)

  Specified by:
    `convertValue` in interface `ognl.TypeConverter`
  Overrides:
    `convertValue` in class `ognl.DefaultTypeConverter`

### getLocale

    private Locale getLocale(Map context)

### createCollection

    private Collection createCollection(Object fromObject,
                                        String propertyName,
                                        Class toType,
                                        Class memberType,
                                        int size)

  Creates a Collection of the specified type.

  Parameters:
    `fromObject` -
    `propertyName` -
    `toType` - the type of Collection to create
    `memberType` - the type of object elements in this collection must be
    `size` - the initial size of the collection (ignored if 0 or less)
  Returns:
    a Collection of the specified type

### doConvertToArray

    private Object doConvertToArray(Map context,
                                    Object o,
                                    Member member,
                                    String s,
                                    Object value,
                                    Class toType)

### doConvertToCharacter

    private Object doConvertToCharacter(Object value)

### doConvertToBoolean

    private Object doConvertToBoolean(Object value)

### doConvertToClass

    private Class doConvertToClass(Object value)

### doConvertToCollection

    private Collection doConvertToCollection(Map context,
                                             Object o,
                                             Member member,
                                             String prop,
                                             Object value,
                                             Class toType)

### doConvertToDate

    private Object doConvertToDate(Map context,
                                   Object value,
                                   Class toType)

### doConvertToNumber

    private Object doConvertToNumber(Map context,
                                     Object value,
                                     Class toType)

### isIntegerType

    protected boolean isIntegerType(Class type)

### doConvertToString

    private String doConvertToString(Map context,
                                     Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.